Holger's Java API

## com.antelmann.util.revision
Class RevisionEvent

    java.lang.Object
      java.util.EventObject
          com.antelmann.util.revision.RevisionEvent

All Implemented Interfaces:
  Serializable, Comparable<RevisionEvent>

    public class RevisionEvent

extends EventObject
implements Comparable<RevisionEvent>

represents an event that encapsulates a revision for a `Revisable` object. RevisionEvent instances are immutable.

Author:
  Holger Antelmann
See Also:
  `Revisable`, `Revision`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RevisionEvent(Revision revision)`

Method Summary
`int` `compareTo(RevisionEvent re)` compares based on the revision time
`Revision` `getRevision()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevisionEvent

    public RevisionEvent(Revision revision)

Method Detail

### getRevision

    public Revision getRevision()

### compareTo

    public int compareTo(RevisionEvent re)

  compares based on the revision time

  Specified by:
    `compareTo` in interface `Comparable<RevisionEvent>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads